FCEU-GX freezing issue

Discussion in 'Wii - Emulation and Homebrew' started by thaddius, Apr 22, 2011.

  1. thaddius
    OP

    thaddius Charmander is not pleased.

    Member
    1,330
    264
    May 5, 2008
    Canada
    So, I 'homebrew enabled' this lady's Wii. It's a red anniversary one.

    I installed the homebrew channel using Smash Stack and everything went fine.

    I've put a few emulators on a memory card of hers and SNES9x, VBA, Wii64 and GenesisPlus work fine. But FCEUGX is having problems.

    When I launch the emulator the controls work for about 5-10 seconds and then stop responding. If I have time to launch a game it still runs (Battletoads cycled through the intro movie a few times), but I can't input anything. The Wii can only then be turned off by a hard reset, suggesting that it's frozen.

    I tried using the latest version (3.2.5) and even tracked down the previous version (3.2.4) and met with the same issues. I tried formatting the memory card (even though it works fine with the other emus) and no dice. Any help would be appreciated.
     
  2. FIX94

    FIX94 Global Moderator

    Global Moderator
    7,051
    8,796
    Dec 3, 2009
    Germany
    ???
    You could try a version with 3rd party controller fix, take a look at my signature!
     
  3. thaddius
    OP

    thaddius Charmander is not pleased.

    Member
    1,330
    264
    May 5, 2008
    Canada
    I seem to have figured it out. It freezes when it tries to connect to the internet and can't. I added a connection setting to the wii and it asked me for an update (on your modified 3.2.3) and I said no and it worked fine after that. I then deleted the connection setting and tried it again and it froze once more.

    Kinda lame that you seem to need the internet to play it.
     
  4. FIX94

    FIX94 Global Moderator

    Global Moderator
    7,051
    8,796
    Dec 3, 2009
    Germany
    ???
    I will mod the latest fceugx now that it doesn't check for a new version, please be patient.
    edit:
    http://dl.dropbox.com/u/25620767/fceugx%203.2.4%20r550.7z
    I was unable to compile 3.2.5, so I only was able to mod 3.2.4. Please report if it works.
     
  5. thaddius
    OP

    thaddius Charmander is not pleased.

    Member
    1,330
    264
    May 5, 2008
    Canada
    Tried it a couple of times and I keep getting the "Exception (DSI) occurred!" screen.
     
  6. FIX94

    FIX94 Global Moderator

    Global Moderator
    7,051
    8,796
    Dec 3, 2009
    Germany
    ???
    Thanks for the information, maybe I will find a solution. Are you starting it from the homebrew channel? This could cause the crash. You should try the official forwarder.
    http://code.google.com/p/fceugc/downloads/...mp;can=2&q=
    edit: The forwarder could also fix the freeze.
     
  7. thaddius
    OP

    thaddius Charmander is not pleased.

    Member
    1,330
    264
    May 5, 2008
    Canada
    Huh. I did not know that it was unstable from the homebrew channel.

    I was trying it from the Homebrew Channel and I used the FCEU forwarder and it worked fine. Thanks for your help.
     
  8. FIX94

    FIX94 Global Moderator

    Global Moderator
    7,051
    8,796
    Dec 3, 2009
    Germany
    ???
    [​IMG] such a small change is making a huge difference, good to know. The homebrew channel has a network bug which will make apps which are using AHBPROT like fceugx simply crash after a short time. This network bug only happens without a working internet connection.
     
  9. Tantric

    Tantric GBAtemp Regular

    Member
    190
    46
    Feb 8, 2007
    Canada
    The quick fix is to remove the no_ios_reload from the meta.xml. This will disable AHBPROT (ie: no DVD support), but fix the crash. It is a known bug in HBC:

    http://bugs.hackmii.com/index.php?do=details&task_id=376

    We've been pleading to Team Twiizers to fix it, the only alternative is for me to take DVD support out of the apps [​IMG]
     
  10. FIX94

    FIX94 Global Moderator

    Global Moderator
    7,051
    8,796
    Dec 3, 2009
    Germany
    ???
    Hey Tantric, why I can't compile fceugx v3.2.5? I have devkitppc r22 and the latest libogc svn, what could be the problem?
     
  11. Tantric

    Tantric GBAtemp Regular

    Member
    190
    46
    Feb 8, 2007
    Canada
    It was compiled with r23 (unreleased), that's why.
     
  12. FIX94

    FIX94 Global Moderator

    Global Moderator
    7,051
    8,796
    Dec 3, 2009
    Germany
    ???
    Unreleased? Well, so I need to wait for a release...or...do you have a link to the source or something like that?
     
  13. Tantric

    Tantric GBAtemp Regular

    Member
    190
    46
    Feb 8, 2007
    Canada
    You'll have to wait.